package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 tb_cf_address
 *
 * @author G
 * @date 2019-08-16 15:51:16
 */
public class TbCfAddressEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 地址id
     */
    private String addressId;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 收货人
     */
    private String deliveryName;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 是否为默认地址
     */
    private Integer defaultFlag;
    /**
     * 地址详情
     */
    private String addressDetail;
    /**
     * 所在国家code
     */
    private String addressCountryCode;
    /**
     * 所在国家
     */
    private String addressCountryName;
    /**
     * 所在州code
     */
    private String addressStateCode;
    /**
     * 所在州
     */
    private String addressStateName;
    /**
     * 所在区code
     */
    private String addressAreaCode;
    /**
     * 所在区
     */
    private String addressAreaName;
    /**
     * 标签code
     */
    private String labelCode;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 设置：地址id
     */
    public void setAddressId(String addressId) {
        this.addressId = addressId;
    }

    /**
     * 获取：地址id
     */
    public String getAddressId() {
        return addressId;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：收货人
     */
    public void setDeliveryName(String deliveryName) {
        this.deliveryName = deliveryName;
    }

    /**
     * 获取：收货人
     */
    public String getDeliveryName() {
        return deliveryName;
    }
    /**
     * 设置：联系电话
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * 获取：联系电话
     */
    public String getPhone() {
        return phone;
    }
    /**
     * 设置：是否为默认地址
     */
    public void setDefaultFlag(Integer defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    /**
     * 获取：是否为默认地址
     */
    public Integer getDefaultFlag() {
        return defaultFlag;
    }
    /**
     * 设置：地址详情
     */
    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    /**
     * 获取：地址详情
     */
    public String getAddressDetail() {
        return addressDetail;
    }
    /**
     * 设置：所在国家code
     */
    public void setAddressCountryCode(String addressCountryCode) {
        this.addressCountryCode = addressCountryCode;
    }

    /**
     * 获取：所在国家code
     */
    public String getAddressCountryCode() {
        return addressCountryCode;
    }
    /**
     * 设置：所在国家
     */
    public void setAddressCountryName(String addressCountryName) {
        this.addressCountryName = addressCountryName;
    }

    /**
     * 获取：所在国家
     */
    public String getAddressCountryName() {
        return addressCountryName;
    }
    /**
     * 设置：所在州code
     */
    public void setAddressStateCode(String addressStateCode) {
        this.addressStateCode = addressStateCode;
    }

    /**
     * 获取：所在州code
     */
    public String getAddressStateCode() {
        return addressStateCode;
    }
    /**
     * 设置：所在州
     */
    public void setAddressStateName(String addressStateName) {
        this.addressStateName = addressStateName;
    }

    /**
     * 获取：所在州
     */
    public String getAddressStateName() {
        return addressStateName;
    }
    /**
     * 设置：所在区code
     */
    public void setAddressAreaCode(String addressAreaCode) {
        this.addressAreaCode = addressAreaCode;
    }

    /**
     * 获取：所在区code
     */
    public String getAddressAreaCode() {
        return addressAreaCode;
    }
    /**
     * 设置：所在区
     */
    public void setAddressAreaName(String addressAreaName) {
        this.addressAreaName = addressAreaName;
    }

    /**
     * 获取：所在区
     */
    public String getAddressAreaName() {
        return addressAreaName;
    }
    /**
     * 设置：标签code
     */
    public void setLabelCode(String labelCode) {
        this.labelCode = labelCode;
    }

    /**
     * 获取：标签code
     */
    public String getLabelCode() {
        return labelCode;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }
}
